import type { JSX } from '../../stencil-public-runtime';
import type { WebComponentInterface } from '../../internal/functional-components/generic-types';
import type { ImageApi } from '../../internal/functional-components/image/api';
import type { LoadingType } from '../../internal/props';
import type { KoliBriImageEventCallbacks } from '../../schema/components/image';
export declare class KolImage implements WebComponentInterface<ImageApi> {
    private readonly host?;
    private readonly ctrl;
    private readonly handleError;
    private readonly handleLoad;
    _alt: string;
    watchAlt(value?: string): void;
    _loading?: LoadingType;
    watchLoading(value?: LoadingType): void;
    _sizes?: string;
    watchSizes(value?: string): void;
    _src: string;
    watchSrc(value?: string): void;
    _srcset?: string;
    watchSrcset(value?: string): void;
    _on?: KoliBriImageEventCallbacks;
    componentWillLoad(): void;
    render(): JSX.Element;
}
